> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an SMS Verification

Creates a new EntityVerificationSession for an entity to verify their phone via Method's SMS verification process.

This starts the verification process by sending a SMS code to the entity's phone number on record.
The entity will then need to provide the SMS code to verify their phone number.

## Path Parameters

## Body

## Returns

Returns an EntityVerificationSession object.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_au22b1fbFJbp8/verification_sessions \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "phone",
    "method": "sms",
    "sms": {}
  }'
```

```javascript Node.js theme={null}
const response = await method
  .entities("ent_au22b1fbFJbp8")
  .verificationSessions
  .create({
    type: "phone",
    method: "sms",
    sms: {},
  });
```

```python Python theme={null}
response = method
  .entities('ent_au22b1fbFJbp8')
  .verification_sessions
  .create({
    'type': 'phone',
    'method': 'sms',
    'sms': {}
  })
```

```json Response theme={null}
{
  "id": "evf_3VT3bHTCnPbrm",
  "entity_id": "ent_au22b1fbFJbp8",
  "status": "in_progress",
  "type": "phone",
  "method": "sms",
  "sms": {},
  "error": null,
  "created_at": "2024-04-10T16:40:16.271Z",
  "updated_at": "2024-04-10T16:40:16.271Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.